/* carousel vars */
:root {
  --no-of-slides: 105;
  --slides-in-view: 5;
  --slide-width: 220px;
  --slide-height: 160px;
  --iteration-time: 100s;

scroll-behavior: smooth;

}

/* body defaults */
body {
  font-family: Verdana, Geneva, Tahoma, sans-serif;
  font-style: normal;
  color: black;
  max-width: 1440px;
  margin-left: auto;
  margin-right: auto;
  padding: 100px 10px 10px 10px;
}

/* menu bar */
.menubar {
  position: fixed;
  background-color: #333;
  top: 110px;
  width: calc(100vw - 36px)!important;  /* to almost fix right overflow */
  max-width: 1440px;
  z-index: 5;  /* force on top of the rest */
}

/* menu bar links */
.menubar a {
  float: left;
  display: block;
  font-size: medium;
  font-weight: bold;
  color: #FFFFFF;
  text-align: center;
  padding: 9px 10px 9px;
  transition: all 0.4s ease;
  white-space: nowrap;
}

/* dropdown */
.dropdown {
  float: left;
  overflow: hidden;
}

.dropdown .dropbtn {
  font-weight: bold;
  text-align: center;
  font-family: Verdana, Geneva, Tahoma, sans-serif;
  font-style: normal;
  font-size: medium;
  border: none;
  outline: none;
  color: white;
  padding: 9px 10px 9px;
  background-color: inherit;
  transition: all 0.5s ease;
  white-space: nowrap;
}

.dropbtn_act {
  font-weight: bold;
  text-align: center;
  font-family: Verdana, Geneva, Tahoma, sans-serif;
  font-style: normal;
  font-size: medium;
  border: none;
  outline: none;
  color: white;
  padding: 9px 10px 9px;
  background-color: red;
  transition: all 0.5s ease;
  white-space: nowrap;
}

.dropdown-content {
  display: none;
  position: absolute;
  background-color: #e9e9e9;
  min-width: 160px;
  box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
}

.dropdown-content a {
  float: none;
  color: black;
  padding: 9px 10px 9px;
  text-decoration: none;
  display: block;
  text-align: left;
}

/* active / hovered menu item */
.menubar a:hover, .dropdown:hover .dropbtn, .menubar a.active {background-color: red;}

.dropdown-content a:hover {
  background-color: #aaa;
  color: white;
}

.dropdown:hover .dropdown-content {display: block;}


/* initially don't display hamburger */
.menubar .icon {display: none;}

.services {display: none;}

/* fixed top logo */ 
#header {
  overflow: hidden;
  position: fixed;
  top: 0;
  max-height: 150px;
  height: calc(26vw)!important; /*to cover anything scrolling underneath menu bar as well*/
  background-color: white;
  width: 100%;
  z-index: 4;
}

.toplogo {
  max-width: 420px; 
  width: calc(70vw)!important;
  display: block;
  left: 50px;
  padding: 10px;
  transition: transform 0.3s;
}

.toplogo:hover {transform: scale(1.05);}

.icon-bar {
  position: fixed;
  background-color: white;
  margin-left: calc(75vw);
  top: 52px;
  padding-right: 8px;
}

@media screen and (min-width: 1440px) {.icon-bar {margin-left: 1300px;!important;}}

.icon-bar img {
  height: 26px;
  width: auto;
  transition: transform 0.3s;
}

.icon-bar img:hover {transform: scale(1.2);}

#ssfade {
  z-index: 1;
  display: block;
  margin-top: 100px;
  position: relative; 
  margin-left: auto;
  margin-right: auto;
}

#ssfade .gallerylayer img{
  max-width: 100%;
  height: auto;
}

.hamburger {
  cursor: pointer;
  width: 18px;
  padding: 1px;
}

.hamburger-line {
  background-color: white;
  height: 2px;
  margin-top: 3px;
}

/* index page */
.idxmain {margin-top: -30px;}


/* other pages */
.main {margin-top: 65px;}

.bodytext {
  max-width: 80%;
  margin: auto;
  text-align: center;
  line-height: 130%;
}


@media screen and (max-width: 600px) {
  .bodytext {
    line-height: 105%; !important;
  }
  .menubar {
    top: calc(17vw + 8px)!important;
    width: calc(95vw)!important;
  }
  .icon-bar {top: calc(10vw)!important;}
  .icon-bar img {
    height: calc(4vw)!important;
    padding: calc(1vw - 8px) calc(1vw - 8px) calc(1vw - 8px) 0px !important;
  }
  .idxmain {margin-top: -40px !important;} 
 /* .main {margin-top: calc(32vw - 21px)!important;}  */
  #ssfade {
    width: calc(95vw) !important;
    margin-top: calc(20vw - 35px) !important;
    height: calc(60vw) !important;
  }
  .menubar a {
    font-size: calc(2vw + 1px) !important;
    padding: calc(2vw - 3px) !important;
  }
  .dropdown .dropbtn {
    font-size: calc(2vw + 1px) !important;
    padding: calc(2vw - 3px) !important;
  }
  .dropbtn_act {
    font-size: calc(2vw + 1px) !important;
    padding: calc(2vw - 3px) !important;
  }
  .hamburger {width: calc(2vw + 5px) !important;}
  .hamburger-line {
    height: calc(0.33vw) !important;
    margin-top: calc(0.5vw) !important;
  }
  .stars {font-size: calc(5vw + 2px) !important;}
  .prev, .next {
    font-size: calc(3vw) !important;
    padding: calc(0.5vw) !important;
  }
  .q {font-size: calc(2vw) !important;}
  .author {font-size: calc(2vw) !important;}
  .revsource {font-size: calc(2vw) !important;}
  .linkBtn:link, .linkBtn:visited {
    border: 1px solid black !important;
    font-size: calc(2.1vw) !important;
    padding: calc(0.3vw) calc(1vw) !important;
    border-radius: calc(0.5vw) !important;
  }

  .jumptarget::before {
    height: calc(40vw - 15px) !important;
    margin: calc(-18vw + 35px) !important;
  }
}

@media screen and (max-width: 750px) {
  .foot .column {
    float: none  !important;
    min-width: fit-content !important;
  }
}

@media screen and (max-width: 1400px) {
  .dot {
    height: calc(0.8vw) !important;
    width: calc(0.8vw) !important;
    margin: 0 0 !important;
  }
  .dot-container {
    height: calc(0.8vw) !important;
    padding: calc(0.8vw) !important;
    max-width: 80% !important;
  }
}

@media screen and (max-width: 400px) {
  .idxmain {
    margin-top: -60px !important;
  }
  #ssfade {
    margin-top: calc(20vw - 35px) !important;
  }
}

/* @media screen and (max-width: 360px) {.main {margin-top: calc(27vw)!important;}} */

@media screen and (max-width: 240px) {.icon-bar {display: none;}}

#header p, #header h1 {margin: 0;}

/* change to hamburger */
@media screen and (max-width: 780px) {
  .menubar a {display: none;}
  .dropdown {display: none;}
  .menubar a.icon {
    float: right;
    display: block;
  }
  .menubar.responsive {
    position: fixed;
  }
  .menubar.responsive .icon {
    position: absolute;
    right: 0;
    top: 0;
  }
  .menubar.responsive a {
    float: none;
    display: block;
    text-align: left;
  }
  .menubar.responsive .dropdown {
    float: none;
    display: block;
  }
}

/* force marquee behind menu */
marquee {z-index: 0;}

/* services list */
.servicelist table { 
  max-width: 80%;
  margin-left: auto;
  margin-right: auto;
  padding: 5px;
}

@media screen and (max-width: 320px) {.servicelist .column {width: 100%;}}

span {white-space: nowrap;}

/* link */
a {
  text-decoration: none;
  color: black;
  transition: all 0.4s;
}

a:hover {color: #696969;}

/* link button */
.linkBtn:link, .linkBtn:visited {
  background-color: white;
  color: black;
  border: 2px solid black;
  padding: 5px 11px;
  text-align: center;
  text-decoration: none;
  font-size: 14px;
  font-weight: bold;
  display: inline-block;
  border-radius: 4px;
  transition: all 0.5s ease;
}

.linkBtn:hover, .linkBtn:active {
  background-color: gray;
  color: white;
}

/* inline images */
.inline_img {
  max-width: calc(70vw);
}

/* text styling */
.xxxlarge {font-size: 20px;}
.lrgnorm {font-size: 18px;}
.mednorm {font-size: 16px;}
.smlnorm {font-size: 14px;}

@media screen and (max-width: 1100px) {
  .xxxlarge {font-size: 19px;}
  .lrgnorm {font-size: 17px;}
  .mednorm {font-size: 15px;}
  .smlnorm {font-size: 13px;}
}

@media screen and (max-width: 800px) {
  .xxxlarge {font-size: 18px;}
  .lrgnorm {font-size: 16px;}
  .mednorm {font-size: 14px;}
  .smlnorm {font-size: 12px;}
}

@media screen and (max-width: 600px) {
  .xxxlarge {font-size: 17px;}
  .lrgnorm {font-size: 15px;}
  .mednorm {font-size: 13px;}
  .smlnorm {font-size: 11px;}
}

@media screen and (max-width: 500px) {
  .xxxlarge {font-size: 15px;}
  .lrgnorm {font-size: 13px;}
  .mednorm {font-size: 11px;}
  .smlnorm {font-size: 9px;}
}

@media screen and (max-width: 400px) {
  .xxxlarge {font-size: 14px;}
  .lrgnorm {font-size: 12px;}
  .mednorm {font-size: 10px;}
  .smlnorm {font-size: 8px;}
}

@media screen and (max-width: 350px) {
  .xxxlarge {font-size: 13px;}
  .lrgnorm {font-size: 11px;}
  .mednorm {font-size: 10px;}
  .smlnorm {font-size: 8px;}
}

@media screen and (max-width: 300px) {
  .xxxlarge {font-size: 12px;}
  .lrgnorm {font-size: 11px;}
  .mednorm {font-size: 9px;}
  .smlnorm {font-size: 8px;}
}

@media screen and (max-width: 250px) {
  .xxxlarge {font-size: 11px;}
  .lrgnorm {font-size: 10px;}
  .mednorm {font-size: 9px;}
  .smlnorm {font-size: 8px;}
}

.jumptarget::before {
  content:"";
  display:block;
  height:180px; /* fixed header height*/
  margin:-140px 0 0; /* negative fixed header height */
}

/* carousel */
@keyframes scroll {
  0% {transform: translateX(0);}
  100% {transform: translateX(calc(var(--slide-width) * var(--no-of-slides) * -1));}
}

.wrapper {
  display: flex;
  align-items: center;
  width: calc(var(--slides-in-view) * var(--slide-width));
  overflow: hidden;
  margin: 0 auto;
}

.carousel {
  padding: 10px 0;
  background: white;
  overflow: hidden;
  width: calc(2 * var(--no-of-slides));
}

.slide {
  animation: scroll var(--iteration-time) linear infinite;
  display: flex;
  flex-direction: column;
  flex: 0 0 auto;
  width: var(--slide-width);
  height: var(--slide-height);
  box-sizing: border-box;
}

.car_img {
  background-size: cover;
  background-repeat: no-repeat;
  height: 100%;
  margin: 5px 10px; 
}

@media screen and (max-width: 1100px) {
  :root {
    --slide-width: calc(20vw) !important;
    --slide-height: calc(14.5vw) !important;
  }
  .car_img {
    margin: calc(0.5vw) calc(1vw) !important;
  }
}

.tblcontact_hor { 
  max-width: 80%;
  margin-left: auto;
  margin-right: auto;
  padding: 15px;
}

.tblcontact_ver { 
  display: none;  
  margin-left: auto;
  margin-right: auto;
}

@media screen and (max-width: 900px) {
  .tblcontact_hor {display: none;}
  .tblcontact_ver {display: inline-block;}
} 

/* footer section */
.foot {
  border-top: 1px solid black;
}

.foot .column {
  float: left;
  padding: 1%;
}

/* bottom phones logo */
.botlogo {
  max-width: 80px; 
  width: calc(20vw)!important;
  display: block;
  padding: 10px;
  transition: transform 0.3s;
}

.botlogo:hover {transform: scale(1.1);}

/* copyright row */
.cr {
  padding: 5px;
}

.cr table {
  width: 100%;
  border-top: 1px solid black;
  padding-top: 5px;
}

.cr img, .contactUs img {
  max-width: 33px;
  padding: 3px;
  transition: transform 0.3s;
}

.cr img:hover, .contactUs img:hover {transform: scale(1.1);}

@media screen and (max-width: 800px) {
  .cr img {
    max-width: calc(4vw) !important;
    padding: calc(0.4vw) !important;
  }
}

/*"Go to Top" button*/
#btnTop {
  position: fixed;
  display: none;
  bottom: 2.3%;
  margin-left: calc(93vw - 44px);
  z-index: 10;
  border: none;
  outline: none;
  background-color: #AFAFAF;
  color: black;
  opacity: 0.8;
  font-size: 34px;
  font-weight: bold;
  cursor: pointer;
  padding: 5px;
  width: 40px;
  height: 40px;
  border-radius: 50%;
}

#btnTop:hover {
  background-color: dimgray;
  color: white;
  opacity: 1;
  transition: all 0.5s ease;
}

#btnTop a:hover {
  color: white; !important;
  transition: all 0.5s ease;
}

@media screen and (min-width: 1460px) {#btnTop {margin-left: 1380px;!important;}}

@media screen and (max-width: 800px) {
  #btnTop {
    width: calc(5vw) !important;
    height: calc(5vw) !important;
    font-size: calc(4.2vw) !important;
    padding: calc(0.6vw) !important;
  }
}

.contactimg {
  width: 36px;
  padding: 2px;
  transition: transform 0.3s;
}

.contactimg:hover {transform: scale(1.1);}

@media screen and (max-width: 720px) {
  .contactimg {
    width: calc(5vw)!important;
    padding: calc(1vw - 8px) !important;
  }
}

/* ratings */
:root {
  --star-color: silver;
  --star-background: #fc0;
}

.stars {
  --percent: calc(var(--rating) / 5 * 100%);
  
  display: inline-block;
  font-size: 40px;
  font-family: Times;
  line-height: 1;
  margin-top: 2px;
  margin-bottom: 5px;
  
  &::before {
    content: '★★★★★';
    letter-spacing: calc(0.5vw);
    background: linear-gradient(90deg, var(--star-background) var(--percent), var(--star-color) var(--percent));
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
  }
}

.slideshow-container {
  position: relative;
  background: white;
  height: 260px;
}

.mySlides {
  display: none;
  padding: 20px;
  text-align: center;
  max-width: 60%;
  margin: auto;
}

.prev, .next {
  cursor: pointer;
  position: absolute;
  top: 70%;
  width: auto;
  margin-top: -30px;
  padding: 8px;
  color: black;
  font-weight: bold;
  font-size: 150%;
  border: 2px solid black;
  border-radius: 4px;
  user-select: none;
  background-color: white;
  transition: all 0.8s ease;
}

.prev {
  left: 10%;
}

.next {
  position: absolute;
  right: 10%;
}

.prev:hover, .next:hover {
  background-color: gray;
  color: white;
}

/* bullet container */
.dot-container {
  text-align: center;
  background: #ddd;
  max-width: 75%;
  margin: auto;
  height: 15px;
  padding: 10px;
}

.dot {
  cursor: pointer;
  height: 15px;
  width: 15px;
  margin: 0 2px;
  background-color: #bbb;
  border-radius: 50%;
  display: inline-block;
   vertical-align: top;
  transition: background-color 0.6s ease;
}

.active, .dot:hover {
  background-color: #717171;
}

.q {
   font-size: 14px;
   font-style: italic;
}

.author {
  font-size: 14px;
  color: cornflowerblue;
}

.revsource {
  font-size: 14px;
}


@media screen and (max-width: 1100px) {.slideshow-container {height: 290px !important;}}

@media screen and (max-width: 970px) {.slideshow-container {height: 300px !important;}}

@media screen and (max-width: 740px) {.slideshow-container {height: 320px !important;}}

@media screen and (max-width: 670px) {.slideshow-container {height: 335px !important;}}

@media screen and (max-width: 610px) {.slideshow-container {height: 350px !important;}}

@media screen and (max-width: 600px) {.slideshow-container {height: 260px !important;}}

@media screen and (max-width: 520px) {.slideshow-container {height: 240px !important;}}

@media screen and (max-width: 420px) {.slideshow-container {height: 200px !important;}}

@media screen and (max-width: 370px) {.slideshow-container {height: 170px !important;}}

@media screen and (max-width: 270px) {.slideshow-container {height: 130px !important;}}

.contactUs table {
  max-width: 80%;
  margin-left: auto;
  margin-right: auto;
  padding: 5px;
}



#songs li {
  list-style-type: none;
}







.faq {
	font-size: small;
	color: #000000;
	padding-left: 20px;
}

.wed {
	font-size: medium;
	color: #000000;
	padding-left: 20px;
}

.top {
	font-size: small;
	color: #000000;
	text-align: right; 
}


.b-lazy {
	-webkit-transition: opacity 1000ms ease-in-out;
	-moz-transition: opacity 1000ms ease-in-out;
	-o-transition: opacity 1000ms ease-in-out;
	transition: opacity 1000ms ease-in-out;
	max-width: 100%;
	opacity: 0;
}

.b-lazy.b-loaded {
	opacity: 1;
}	
	
img.thumb, img.b-lazy {
	border: 0;
	padding: 15px;
}

.gallery img, .equip img {
	max-width: 160px;
	border: 0;
	padding: 5px;
}

.gallery img.thumb, .equip img.thumb {
	max-width: 160px;
}

#ss {
	position: fixed;
	z-index: auto;
	top: 15px;
	left: 43px;
	border: 0;
	padding: 0;
}

#ss img {
	width: 80px;
	height: auto;
}

#sm {
	position: fixed;
	top: 460px;
	left: 25px;
}

#sm img {
	max-width: 33px;
	height: auto;
	border: 0;
	padding: 1px;
}

#ls {
	position: fixed;
	z-index: auto;
	top: 410px; 
	left: 27px;
	border: 0;
}

#ls img {
	max-width: 110px;
	height: auto;	
	border-radius: 7px;
}

/* clipart stuff  */
img.clipart {
	border: 0;
	max-width: 40%;
	height: auto;
	display: block; 
	margin-left: auto;
	margin-right: auto;
}

